Package skyview.util

# Class LogScaler

java.lang.Object
skyview.util.Scaler
skyview.util.LogScaler

public class LogScaler extends Scaler
Scale an object linearly.

## Constructor Summary

Constructors
Constructor
Description
`LogScaler()`
Provide default scaler that positive values will scale the array logarithmically between 0-255.
`LogScaler(double minVal, double maxVal, int minOutput, int maxOutput, boolean scaleNegative)`
Provide a scaler with a specified scaling range to a specified range of bytes.

## Method Summary

Modifier and Type
Method
Description
`protected void`
`prepareScaling(double[] c)`
Prepare to scale the data
`protected byte`
`scale(double val)`
Scale an value.

### Methods inherited from class skyview.util.Scaler

`getMaxOutput, getMaxVal, getMinOutput, getMinVal, getUseDefault, scaleArray, setMaxVal, setMinMax, setMinVal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LogScaler

public LogScaler()
Provide default scaler that positive values will scale the array logarithmically between 0-255.

### LogScaler

public LogScaler(double minVal, double maxVal, int minOutput, int maxOutput, boolean scaleNegative)
Provide a scaler with a specified scaling range to a specified range of bytes.

## Method Details

### prepareScaling

protected void prepareScaling(double[] c)
Prepare to scale the data

Specified by:
  `prepareScaling` in class `Scaler`
Parameters:
  `c` - Array to be scaled.

### scale

protected byte scale(double val)
Scale an value.

Specified by:
  `scale` in class `Scaler`
Parameters:
  `val` - The value to be scaled.